Get a list of devices
get
/Device
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of devices that meet the supplied query parameters.
Use _id or patient, not both.
Request
Query Parameters
-
_id: string
The logical resource ID.
-
_revinclude: string
The inclusion of related Provenance resources that target returned devices.Allowed Values:
[ "Provenance:target" ] -
patient: string
The patient reference or ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : resource
Match One Schema
Show Source
-
object
Device
The FHIR R4 Device resource.
-
object
ProvenanceForDevice
Additional Properties Allowed:
trueThe reverse-included FHIR Provenance resource. -
object
OperationOutcome
The FHIR OperationOutcome.
Nested Schema : Device
Type:
objectThe FHIR R4 Device resource.
Show Source
-
_distinctIdentifier: object
PrimitiveElement
-
_expirationDate: object
PrimitiveElement
-
_lotNumber: object
PrimitiveElement
-
_manufactureDate: object
PrimitiveElement
-
_serialNumber: object
PrimitiveElement
-
distinctIdentifier: string
-
expirationDate: string
(date-time)
-
id(required): string
-
lotNumber: string
-
manufactureDate: string
(date-time)
-
patient(required): object
ReferenceForDevice
-
resourceType(required): string
Allowed Values:
[ "Device" ] -
serialNumber: string
-
status(required): string
Allowed Values:
[ "active", "inactive", "entered-in-error", "unknown" ] -
type(required): object
CodeableConcept
-
udiCarrier(required): array
udiCarrier
Nested Schema : ProvenanceForDevice
Type:
objectAdditional Properties Allowed:
trueThe reverse-included FHIR Provenance resource.
Show Source
-
resourceType: string
Allowed Values:
[ "Provenance" ]
Nested Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source